Bug 706071 - libcairo segfault causes gnome-shell segfault
libcairo segfault causes gnome-shell segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
15
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-19 08:16 EDT by Jeremy Eder
Modified: 2012-08-07 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
working 2-monitor xorg.conf (2.85 KB, application/octet-stream)
2011-05-19 08:16 EDT, Jeremy Eder
no flags Details
broken 3-monitor xorg.conf (2.53 KB, application/octet-stream)
2011-05-19 08:17 EDT, Jeremy Eder
no flags Details
rpm list (40.73 KB, text/plain)
2011-05-19 08:20 EDT, Jeremy Eder
no flags Details
coredump (1.97 MB, application/x-bzip2)
2011-05-19 08:20 EDT, Jeremy Eder
no flags Details

  None (edit)
Description Jeremy Eder 2011-05-19 08:16:00 EDT
Description of problem:

- Setup xorg.conf for 3 monitors, on 2 video cards.
- This xorg.conf worked fine in f14.
- Using binary nvidia drivers from rpmfusion.

- Precise issue also reported here:
https://bbs.archlinux.org/viewtopic.php?id=118700

- I have dconf-0.7.5-1.x86_64 already.
- I have attached the working/broken xorg.confs.
- Tried to report via abrt, but said backtrace was unusable (using both local and retrace server).


May 18 17:49:25 jerms-wks kernel: [186186.647929] gnome-shell[7280]: segfault at 5 ip 00000033e1a37fb9 sp 00007fff61e349e0 error 4 in libcairo.so.2.11000.2[33e1a00000+a6000]
May 18 17:49:25 jerms-wks abrt[7357]: saved core dump of pid 7280 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-05-18-17:49:25-7280.new/coredump (62521344 bytes)
May 18 17:49:25 jerms-wks abrtd: Directory 'ccpp-2011-05-18-17:49:25-7280' creation detected
May 18 17:49:26 jerms-wks gnome-session[7099]: WARNING: Application 'gnome-shell.desktop' killed by signal
May 18 17:49:26 jerms-wks kernel: [186187.652511] gnome-shell[7378]: segfault at 5 ip 00000033e1a37fb9 sp 00007fff8a7f9680 error 4 in libcairo.so.2.11000.2[33e1a00000+a6000]
May 18 17:49:26 jerms-wks abrt[7385]: not dumping repeating crash in '/usr/bin/gnome-shell'
May 18 17:49:26 jerms-wks gnome-session[7099]: WARNING: App 'gnome-shell.desktop' respawning too quickly
May 18 17:49:26 jerms-wks gnome-session[7099]: WARNING: Application 'gnome-shell.desktop' killed by signal
Comment 1 Jeremy Eder 2011-05-19 08:16:45 EDT
Created attachment 499819 [details]
working 2-monitor xorg.conf
Comment 2 Jeremy Eder 2011-05-19 08:17:12 EDT
Created attachment 499820 [details]
broken 3-monitor xorg.conf
Comment 3 Jeremy Eder 2011-05-19 08:20:04 EDT
Created attachment 499821 [details]
rpm list
Comment 4 Jeremy Eder 2011-05-19 08:20:28 EDT
Created attachment 499822 [details]
coredump
Comment 5 Jeremy Eder 2011-05-19 08:20:57 EDT
This is what abrt was able to give me:


[New LWP 9167]
[New LWP 9170]
[New LWP 9168]
[New LWP 9171]
[New LWP 9169]
warning: Corrupted shared library list
warning: Corrupted shared library list
warning: Can't read pathname for load map: Input/output error.
warning: Corrupted shared library list
warning: Can't read pathname for load map: Input/output error.
warning: Corrupted shared library list
Failed to read a valid object file image from memory.
Core was generated by `/usr/bin/gnome-shell'.
Program terminated with signal 11, Segmentation fault.
#0  0x00000033e1a37fb9 in ?? ()

Thread 5 (LWP 9169):
#0  0x00000033da2d74a3 in ?? ()
No symbol table info available.
#1  0x00007f0df8001150 in ?? ()
No symbol table info available.
#2  0x00000000ffffffff in ?? ()
No symbol table info available.
#3  0x0000000000000003 in ?? ()
No symbol table info available.
#4  0x00007f0df8001150 in ?? ()
No symbol table info available.
#5  0x0000000000000001 in ?? ()
No symbol table info available.
#6  0x00000033dbe430a4 in ?? ()
No symbol table info available.
#7  0x00000033da609cd0 in ?? ()
No symbol table info available.
#8  0x00000033dc115da8 in ?? ()
No symbol table info available.
#9  0x00000001000137e0 in ?? ()
No symbol table info available.
#10 0x00000033dc115dc0 in ?? ()
No symbol table info available.
#11 0x00000033dc115dc0 in ?? ()
No symbol table info available.
#12 0xffffffff7fffffff in ?? ()
No symbol table info available.
#13 0x00007f0e000137cc in ?? ()
No symbol table info available.
#14 0x00007f0e000137c0 in ?? ()
No symbol table info available.
#15 0x00007f0e000138c0 in ?? ()
No symbol table info available.
#16 0x00000033dc1164a0 in ?? ()
No symbol table info available.
#17 0x00000033da609cd0 in ?? ()
No symbol table info available.
#18 0x00007f0e000137cc in ?? ()
No symbol table info available.
#19 0x0000000000000001 in ?? ()
No symbol table info available.
#20 0x00000033dbe4398d in ?? ()
No symbol table info available.
#21 0x00007f0e00014d50 in ?? ()
No symbol table info available.
#22 0x00000033da8172c0 in ?? ()
No symbol table info available.
#23 0x00007f0df8001240 in ?? ()
No symbol table info available.
#24 0x00007f0e000138c0 in ?? ()
No symbol table info available.
#25 0x00000033da60ae90 in ?? ()
No symbol table info available.
#26 0x00000033dc115dc0 in ?? ()
No symbol table info available.
#27 0x00000033dc115da8 in ?? ()
No symbol table info available.
#28 0x00000033da609cd0 in ?? ()
No symbol table info available.
#29 0x00000033da236ee0 in ?? ()
No symbol table info available.
#30 0x00000033dd6b45b4 in ?? ()
No symbol table info available.
#31 0x00007f0e000138c0 in ?? ()
No symbol table info available.
#32 0x00000033dbe686e4 in ?? ()
No symbol table info available.
#33 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (LWP 9171):
#0  0x00000033da60ba05 in ?? ()
No symbol table info available.
#1  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (LWP 9168):
#0  0x00000033da2d74a3 in ?? ()
No symbol table info available.
#1  0x00007f0e00001170 in ?? ()
No symbol table info available.
#2  0x00000000ffffffff in ?? ()
No symbol table info available.
#3  0x0000000000000001 in ?? ()
No symbol table info available.
#4  0x00007f0e00001170 in ?? ()
No symbol table info available.
#5  0x0000000000000001 in ?? ()
No symbol table info available.
#6  0x00000033dbe430a4 in ?? ()
No symbol table info available.
#7  0x00000033da609cd0 in ?? ()
No symbol table info available.
#8  0x00000033dc115da8 in ?? ()
No symbol table info available.
#9  0x00000001027dcf20 in ?? ()
No symbol table info available.
#10 0x00000033dc115dc0 in ?? ()
No symbol table info available.
#11 0x00000033dc115dc0 in ?? ()
No symbol table info available.
#12 0xffffffff7fffffff in ?? ()
No symbol table info available.
#13 0x00007f0e0000115c in ?? ()
No symbol table info available.
#14 0x00007f0e00001150 in ?? ()
No symbol table info available.
#15 0x00000000027dc810 in ?? ()
No symbol table info available.
#16 0x00000033dc1164a0 in ?? ()
No symbol table info available.
#17 0x00000033da609cd0 in ?? ()
No symbol table info available.
#18 0x00007f0e0000115c in ?? ()
No symbol table info available.
#19 0x0000000000000001 in ?? ()
No symbol table info available.
#20 0x00000033dbe4398d in ?? ()
No symbol table info available.
#21 0x00007f0e00001150 in ?? ()
No symbol table info available.
#22 0x00007f0e00001000 in ?? ()
No symbol table info available.
#23 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (LWP 9170):
#0  0x00000033da2d74a3 in ?? ()
No symbol table info available.
#1  0x000000000002d902 in ?? ()
No symbol table info available.
#2  0x01000000ffffffff in ?? ()
No symbol table info available.
#3  0x0000000000000002 in ?? ()
No symbol table info available.
#4  0x00007f0dfc001480 in ?? ()
No symbol table info available.
#5  0x0000000002821e30 in ?? ()
No symbol table info available.
#6  0x00000033e842c05f in ?? ()
No symbol table info available.
#7  0x00000000ffffffff in ?? ()
No symbol table info available.
#8  0x0000000000000001 in ?? ()
No symbol table info available.
#9  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (LWP 9167):
#0  0x00000033e1a37fb9 in ?? ()
No symbol table info available.
#1  0x0000000000000000 in ?? ()
No symbol table info available.
warning: Can't read pathname for load map: Input/output error.
warning: Corrupted shared library list
From                To                  Syms Read   Shared Object Library
0x0000000000000b20  0x0000000000019f6a  Yes (*)     /lib64/ld-linux-x86-64.so.2
(*): Shared library is missing debugging information.
No symbol "__abort_msg" in current context.
No symbol "__glib_assert_msg" in current context.
rax            0x1	1
rbx            0x27cb120	41726240
rcx            0x1	1
rdx            0x2581160	39326048
rsi            0x1	1
rdi            0x1	1
rbp            0x1	0x1
rsp            0x7fffd672e360	0x7fffd672e360
r8             0x293a6e0	43230944
r9             0x1	1
r10            0x7fffd672e110	140736791240976
r11            0x33e562b5c0	222891783616
r12            0x0	0
r13            0x1	1
r14            0x7fffd672e520	140736791242016
r15            0x0	0
rip            0x33e1a37fb9	0x33e1a37fb9
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.
Comment 6 P.I.Julius 2011-07-12 13:16:10 EDT
I can also confirm this using GeForce 7300 LE and GeForce 6100 nForce 405. On the first one I have set up two monitors with twinview and the second card is used as separate monitor without Xinerama activated exactly as in "broken 3-monitor xorg.conf" attached to this report.

The bug report details are the same exactly so I won't post them again but if there is anything I can help/provide you guys to help please let me know.

Thanks in advance for having a look into this!
Comment 7 Mike Matczynski 2011-09-16 15:12:30 EDT
I just confirmed this on an ATI Technologies Inc Mobility Radeon HD 3470 (repo drivers 11.7).

Only work-around is to switch to KDE.

As mentioned above, this only happens if you try to go dual-screen.  Here's /var/log/messages:

Sep 15 17:23:30 mike-760 dbus: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 15 17:23:30 mike-760 dbus: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 15 17:23:32 mike-760 kernel: [   58.471589] gnome-shell[1792]: segfault at 5 ip 00007fd17b706fb9 sp 00007fff0f8bb280 error 4 in libcairo.so.2.11000.2[7fd17b6cf000+a6000]
Sep 15 17:23:32 mike-760 abrt[1877]: Unrecognized variable 'DumpLocation' in '/etc/abrt/abrt.conf'
Sep 15 17:23:32 mike-760 abrtd: Unrecognized variable 'DumpLocation' in '/etc/abrt/abrt.conf'
Sep 15 17:23:33 mike-760 abrt[1877]: saved core dump of pid 1792 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-15-17:23:32-1792.new/coredump (53768192 bytes)
Sep 15 17:23:33 mike-760 abrtd: Unrecognized variable 'DumpLocation' in '/etc/abrt/abrt.conf'
Sep 15 17:23:33 mike-760 abrtd: Directory 'ccpp-2011-09-15-17:23:32-1792' creation detected
Sep 15 17:23:33 mike-760 gnome-session[1586]: WARNING: Application 'gnome-shell.desktop' killed by signal
Sep 15 17:23:33 mike-760 kernel: [   59.654474] gnome-shell[1884]: segfault at 5 ip 00007ff62dec3fb9 sp 00007fff361debd0 error 4 in libcairo.so.2.11000.2[7ff62de8c000+a6000]
Sep 15 17:23:33 mike-760 abrt[1919]: Unrecognized variable 'DumpLocation' in '/etc/abrt/abrt.conf'
Sep 15 17:23:33 mike-760 abrt[1919]: not dumping repeating crash in '/usr/bin/gnome-shell'
Sep 15 17:23:33 mike-760 gnome-session[1586]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Comment 8 Fedora End Of Life 2012-08-07 13:55:23 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.